services:
    _defaults:
        public: true #because controller

    Claroline\ClacoFormBundle\Controller\API\CategoryController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\ClacoFormBundle\Manager\CategoryManager'

    Claroline\ClacoFormBundle\Controller\API\ClacoFormController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true

    Claroline\ClacoFormBundle\Controller\API\EntryController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\ClacoFormBundle\Manager\ClacoFormManager'

    Claroline\ClacoFormBundle\Controller\API\EntryUserController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true

    Claroline\ClacoFormBundle\Controller\API\KeywordController:
        parent: Claroline\AppBundle\Controller\AbstractCrudController
        public: true

    Claroline\ClacoFormBundle\Controller\ClacoFormController:
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\AppBundle\API\FinderProvider'
            - '@Claroline\ClacoFormBundle\Manager\ClacoFormManager'
            - '%claroline.param.files_directory%'
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@security.token_storage'
            - '@Claroline\ClacoFormBundle\Manager\ExportManager'
